import { isObject, isString } from "../../../../../@vue/shared/dist/shared.esm-bundler.mjs";
import { buildProps, definePropType } from "../../../utils/vue/props/runtime.mjs";
const selectControllerProps = buildProps({
  date: {
    type: definePropType(Object),
    required: true
  },
  formatter: { type: definePropType(Function) }
});
const selectControllerEmits = { "date-change": (date) => isObject(date) || isString(date) };
export {
  selectControllerEmits,
  selectControllerProps
};
